PR_DestroyPollableEvent
=======================

Close the file descriptor associated with a pollable event and release
related resources.


Syntax
------

.. code::

   NSPR_API(PRStatus) PR_DestroyPollableEvent(PRFileDesc *event);


Parameter
~~~~~~~~~

The function has the following parameter:

``event``
   Pointer to a :ref:`PRFileDesc` structure previously created via a call
   to :ref:`PR_NewPollableEvent`.


Returns
~~~~~~~

The function returns one of the following values:

-  If successful, ``PR_SUCCESS``.
-  If unsuccessful, ``PR_FAILURE``. The reason for the failure can be
   retrieved via :ref:`PR_GetError`.
